package pegtree;

import java.util.Map;

public class Variable implements Parser {
	public Map<String, Parser> g;
	public String name;
	
	public Variable(Map<String, Parser> _g, String _name) {
		g = _g;
		name = _name;
	}
	
	@Override
	public Result<Character> parse(State<Character> st) {
		Result<Character> res = g.get(name).parse(st);
		return new Result<>(name, res.nodes, res.out);
	}

}
